c=======================================================================
c***********************************************************************
      subroutine runkut4(stept,time,y,drv)
c***********************************************************************
c=======================================================================
c
c      implicit double precision (a-h,o-z)
      implicit none
      include './com_18/parameter.common'
      include './com_18/rk.common'
      real*4 stept,stept2

c-----------------------------------------------
c JLP ajouté pour implicit none
c
      integer i
      real*8  drv,time,tk1,tk3,y
c
c-----------------------------------------------

      dimension y(nequat), drv(nequat)

      stept2 = 0.5*stept
      tk1 = time + stept2
      do i = 1, nequat
         yk1(i) = y(i) + stept2*drv(i)
      enddo
      call timdep(stept,tk1)
      call givedrv(stept,tk1,yk1,drvk2)
      do i = 1, nequat
         yk2(i) = y(i) + stept2*drvk2(i)
      enddo
      call timdep(stept,tk1)
      call givedrv(stept,tk1,yk2,drvk3)
      tk3 = time + stept
      do i = 1, nequat
         yk3(i) = y(i) + stept*drvk3(i)
      enddo
      call timdep(stept,tk3)
      call givedrv(stept,tk3,yk3,drvk4)
      do i = 1, nequat
         y(i) = y(i) + stept*(drv(i)+2.*(drvk2(i)+drvk3(i))+drvk4(i))/6.
      enddo
      return
      end subroutine runkut4