c=======================================================================
c***********************************************************************
       subroutine TDT(mlength,mondec,flag,tabrT,tabrDT,zone,seed)
c***********************************************************************
c=======================================================================

c=======================================================================
c  Subroutine for random estimation for temperatures
c=======================================================================
      IMPLICIT NONE
      include './com_18/parameter.common'
      include './com_18/pathg.common'
c-----------------------------------------------
c JLP ajout� pour implicit none
c
      integer kf
c
c-----------------------------------------------      
      real*4 tabrT(ndy),tabrDT(ndy)
      real*4 seed,frnd,step
      real*4 r
      real*4 FT(300,2),FDT(300,2),xT(300),xDT(300),
     &       T1(31),DT1(31),sT,sDT

c=======================================================================
c F(k,1)=Fs(k),F(k,2)=Fp(k)
c=======================================================================

      integer j,m,k,kx,nl,nj,fl,mth
      integer flag(ndy),mlength(nm),mondec(nm)

c=======================================================================
c flag=1 ==> il pleut  flag=0 ==> il pleut pas.
c=======================================================================

      character*8 zone
      character*110 filename
      character*2 ch

      logical lo

      step=1.28345

      call givnletters(zone,nl)
      call charlen(pathgene,kf)

      nj=0

      do m=1,nm
         mth=mondec(m)
         call itochar2(mth,ch)
         filename=pathgene(1:kf)//'ALLSTAT/TEMPER/FT/fT'
     &                          //zone(1:nl)//ch
         inquire(file=filename,EXIST=lo)
         if(lo)then
            goto 6
         else
            goto 20
         endif
6        continue
         open(12,file=filename,status='old')
         read(12,*)
         read(12,*)
         do k=1,300
            read(12,10) xT(k),FT(k,1),FT(k,2)
10          format(3(f8.5,1x))
         enddo
         close(12)
         filename=pathgene(1:kf)//'ALLSTAT/TEMPER/FDT/fDT'
     &                         //zone(1:nl)//ch
         open(12,file=filename,status='old')
         read(12,*)
         read(12,*)
         do k=1,300
            read(12,10) xDT(k),FDT(k,1),FDT(k,2)
         enddo
         close(12)

         sT=0.
         sDT=0.
         do j=1,mlength(m)

            fl=flag(nj+j)+1
            call randnum(seed,frnd)
            r=0.995*frnd

            kx=-1

            do k=2,300
               if((r.gt.FT(k-1,fl)).and.
     &            (r.le.FT(k,fl)))then
                  kx=k-1
               endif
            enddo
            if(kx.eq.-1) then
               kx=1
               T1(j)=xT(kx)
            else
               T1(j)=xT(kx)+(r-FT(kx,fl))*(xT(kx+1)-xT(kx))
     &              /(FT(kx+1,fl)-FT(kx,fl))
            endif
            sT=sT+T1(j)
            seed=seed+step
            call randnum(seed,frnd)
            r=0.995*frnd

            kx=-1

            do k=2,300
               if((r.gt.FDT(k-1,fl)).and.
     &            (r.le.FDT(k,fl)))then
                  kx=k-1
               endif
            enddo

            if(kx.eq.-1) then
               kx=1
               DT1(j)=xDT(kx)
            else
               DT1(j)=xDT(kx)+(r-FDT(kx,fl))*(xDT(kx+1)-xDT(kx))
     &               /(FDT(kx+1,fl)-FDT(kx,fl))
            endif
            sDT=sDT+DT1(j)
         enddo
         sT=sT/mlength(m)
         sDT=sDT/mlength(m)

         do j=1,mlength(m)
            nj=nj+1
            tabrT(nj)=T1(j)/sT
            tabrDT(nj)=DT1(j)/sDT
         enddo

20       continue

      enddo

      return
      end subroutine TDT