c=======================================================================
c***********************************************************************
      subroutine crops_seas
c***********************************************************************
c=======================================================================
      IMPLICIT NONE
c=======================================================================
c   reads or computes various age classes parameters
c=======================================================================

      include './com_18/parameter.common'      
      include './com_18/files_car.common'
      include './com_18/nspc.common'
      include './com_18/crops.common'
c-----------------------------------------------
c JLP ajout� pour implicit none
c
      integer ip
c
c-----------------------------------------------

      integer ivar
      real carb_ratio(nplant)
      character*50 title,pft_name(nplant)
      character*132 sdata
      
c=======================================================================
c     open reading file
c=======================================================================

      open(112,file=fileseas)
      read(112,*)title

c=======================================================================
c    loop over BAG's
c=======================================================================

      do ip = 1, npft

c=======================================================================
c    reading of data
c=======================================================================
c       write(*,*)'open crop_seas'
       read(112,128) pft_name(ip),sdata
       read(sdata,*) sow_date(ip),tbase(ip),gdd_germ(ip),gdd_harv(ip)
     &              ,gr_seas(ip),fL_harv(ip),fS_harv(ip),fR_harv(ip)
     &              ,harv_ind(ip),wc_harv(ip),carb_ratio(ip)     
c       write (*,*)'read crop_seas',harv_ind(2)

       if (fL_harv(ip).gt.1.) fL_harv(ip) = 1.
       if (fL_harv(ip).lt.0.) fL_harv(ip) = 0.
       if (fS_harv(ip).gt.1.) fS_harv(ip) = 1.
       if (fS_harv(ip).lt.0.) fS_harv(ip) = 0.
       if (fR_harv(ip).gt.1.) fR_harv(ip) = 1.
       if (fR_harv(ip).lt.0.) fR_harv(ip) = 0.              

       yield_fac(ip) = 
     &(0.01*(carb_ratio(ip))*harv_ind(ip))/(1.-0.01*wc_harv(ip))

      end do
      
c      do ivar = 2, ncropvar
c       read(112,128) pft_name(ip),sdata       
c       read(sdata,*) sow_date(1),tbase(1),gdd_germ(1),gdd_harv(ivar)
c     &              ,gr_seas(1),fL_harv(1),fS_harv(1),fR_harv(1)
c     &              ,harv_ind(1),wc_harv(1)                 
c      end do     

128   format(a50,a110)

      close(112)

      return
end subroutine crops_seas