c=======================================================================
c***********************************************************************
      subroutine moulton(stept,drv,y,ynew)
c***********************************************************************
c=======================================================================

c=======================================================================
c time has been incremented;
c the value "ynew" of the vector "y" is estimated at present time step
c with the implicit adams-moulton correction scheme.
c=======================================================================
c      implicit double precision (a-h,o-z)
      implicit none
      include './com_18/parameter.common'
      include './com_18/newbdo.common'
c-----------------------------------------------
c JLP ajouté pour implicit none
c
      integer i,j
      real*8  cstc,drv,y,ynew
c
c-----------------------------------------------      
      dimension cstc(6), drv(nequat), y(nequat), ynew(nequat)
      real*4 stept

      data cstc /-.5, -.083333, -.041667, -.026389, -.01875, -.014269/

      do i = 1, nequat
         ynew(i) = y(i) + stept*drv(i)
      enddo
      do j = 1, norder
         do i = 1, nequat
            ynew(i) = ynew(i) + stept*cstc(j)*bdo(i,j)
         enddo
      enddo
      return
      end subroutine moulton