c=======================================================================
c***********************************************************************
      subroutine crop_sowing_dates
c***********************************************************************
c=======================================================================

c=======================================================================
c     This routine reads or evaluates sowing dates for crops
c=======================================================================
      implicit none
      
      include './com_18/parameter.common'
      include './com_18/climin0.common'
      include './com_18/climin.common'
      include './com_18/coord.common'
      include './com_18/cte.common'
      include './com_18/crops.common'
      include './com_18/gddpix.common'
      include './com_18/gene.common'
      include './com_18/monthcst.common'
      include './com_18/nspc.common'
      include './com_18/prt_ctrl.common'
      include './com_18/pzone.common'
      include './com_18/snow.common'
      include './com_18/temper.common'
      
      integer i
      real*4 aaa,bbb 
      
      if (isowd_rd.eq.1) then
       do i = 1, npft
        sow_date(i)=-999.
       end do
       read(294,*)aaa,bbb,(sow_date(i),i=npft0+1,npft0+ncrop)      
      endif
      
      return
      end subroutine crop_sowing_dates