c=======================================================================
c***********************************************************************
      subroutine randnum(seed,frnd)
c***********************************************************************
c=======================================================================

c=======================================================================
c     This subroutine returns a random number frnd between 0 and 1.
c     through two successive calls to the rand function. If the rand 
c     function requires an integer argument on your machine, igrn must
c     be declared as an integer, otherwise it should be declared as 
c      real*4 igrn
c     and the line "integer igrn" should be dropped.
c     INPUT 
c         seed = real*4 number used as seed for the random generation
c     OUTPUT
c         frnd = generated random number in the interval [0,1]
c=======================================================================
      implicit none
      real*4 seed,frnd
      real*4 rand,gr1

      integer igrn 

      igrn = int(100000.*seed)
      gr1 = rand(igrn)
      igrn = int(100000.*(seed+gr1)/(gr1+10.0))
      frnd = rand(igrn)

      return
      end subroutine randnum